*   Two Clipper Autumn '86 functions.
*   (Clipper is a trademark of Nantucket, Inc.)
*
*   A function to test for correct spelling of a field name.
*
*   And a function to test for a valid state abbreviation.
*
*   Released into the public domain 02/27/87 By Henry J. Franzoni III
*
*
*
*   The field name function is used in this fashion:
*
*   @ ROW,COL SAY "Enter Name of field" GET VALU VALID(FLDCHK(VALU))
*
*   The state abbreviation function is used in this fashion:
*
*   @ ROW,COL SAY "Enter State Abbreviation" GET STATE VALID(STATECHK())
*
*   The following memory variable has to be initialized before
*   the STATECHK() function is called.
*
STOR "AL/AK/AZ/AR/CA/CZ/CO/CT/DE/DC/FL/GA/GU/HI/ID/IL/IN/IA/KS/"+;
"KY/LA/ME/MD/MA/MI/MN/MS/MO/MT/NE/NV/NH/NJ/NM/NY/NC/ND/OH/OK"+;
"/OR/PA/PR/RI/SC/SD/TN/TX/UT/VT/VA/VI/WA/WV/WI/WY/" TO MPSTATEABB
*
*   The functions are short and self explanatory and appear below.
*
*
*
*
*
*
FUNCTION FLDCHK
PARAMETER VAR
PRIVATE OK
IF .NOT. EMPTY(VAR)
IF TYPE([&VAR]) != 'U'
OK=.T.
ELSE
OK=.F.
SAVE SCREEN TO FILLSCRN
@ 1,38,4,70 BOX FRAME
@ 2,40 SAY "This field doesn't exist "
@ 3,40 SAY "Press any key to continue"
DO WHIL INKEY()=0
ENDD
RESTORE SCREEN FROM FILLSCRN
ENDI
ELSE
OK=.T.
ENDI
RETURN(OK)
*
FUNCTION STATECHK
PARAMETER VAR
PRIVATE OK
IF VAR $ MPSTATEABB
OK=.T.
ELSE
OK=.F.
SAVE SCREEN TO FILLSCRN
@ 1,38,4,70 BOX FRAME
@ 2,40 SAY "Invalid state abbreviation"
@ 3,40 SAY "Press any key to continue "
DO WHIL INKEY()=0
ENDD
RESTORE SCREEN FROM FILLSCRN
ENDI
RETURN(OK)